Bug 1046993 - Systray printer icon not clickable
Summary: Systray printer icon not clickable
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-28 00:49 UTC by Konstantin Svist
Modified: 2014-01-07 14:45 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-07 14:45:28 UTC
Type: Bug


Attachments (Terms of Use)

Description Konstantin Svist 2013-12-28 00:49:48 UTC
Description of problem:
After sending a job to a printer, system tray icon appears - but clicking it doesn't bring up any status or menus. There's no hover message, either.


Version-Release number of selected component (if applicable):
system-config-printer.x86_64  1.4.3-2.fc20


How reproducible:
every time


Additional info:
Using XFCE Fedora spin

Comment 1 Raphael Groner 2014-01-03 17:15:36 UTC
I can reproduce on an up2date f19 system with Xfce.

Comment 2 Raphael Groner 2014-01-03 17:30:01 UTC
The icon does not disappear from the Systray after the print job has finished. I remember this was the behaviour in past, it's unclear what change broke that.

Comment 3 Raphael Groner 2014-01-03 17:55:38 UTC
# yum downgrade -y system-config-printer-libs system-config-printer system-config-printer-udev

... context menu of systray icon works again.

Comment 4 Tim Waugh 2014-01-06 15:40:14 UTC
What is the version number and release of the package that works for you?

Comment 5 Raphael Groner 2014-01-06 16:02:32 UTC
(In reply to Tim Waugh from comment #4)
> What is the version number and release of the package that works for you?

$ rpm -q system-config-printer-libs system-config-printer system-config-printer-udev
system-config-printer-libs-1.4.1-6.fc19.noarch
system-config-printer-1.4.1-6.fc19.x86_64
system-config-printer-udev-1.4.1-6.fc19.x86_64

The systray icon keeps being visible after the printer has the job done. But I can open the context menu and click on hide. Please let me know if I should test other versions, too.

Comment 6 Konstantin Svist 2014-01-06 18:36:13 UTC
I don't understand.. it started working
The version number is still 1.4.3-2.fc20
There have been other yum updates, maybe one of them fixed it

Comment 7 Tim Waugh 2014-01-07 14:45:28 UTC
OK, closing.


Note You need to log in before you can comment on or make changes to this bug.